## org.hibernate.ejb.criteria
Interface PathImplementor<X>

All Superinterfaces:
  javax.persistence.criteria.Expression<X>, ExpressionImplementor<X>, javax.persistence.criteria.Path<X>, PathSource<X>, Renderable, javax.persistence.criteria.Selection<X>, SelectionImplementor<X>, TupleElement<X>, TupleElementImplementor<X>

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, FromImplementor<Z,X>, JoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbstractFromImpl, AbstractJoinImpl, AbstractPathImpl, CollectionAttributeJoin, ListAttributeJoin, MapAttributeJoin, MapKeyHelpers.MapKeyPath, MapKeyHelpers.MapKeySource, PluralAttributeJoinSupport, PluralAttributePath, RootImpl, SetAttributeJoin, SingularAttributeJoin, SingularAttributePath

    public interface PathImplementor<X>

extends ExpressionImplementor<X>, javax.persistence.criteria.Path<X>, PathSource<X>, Renderable

Implementation contract for the JPA `Path` interface.

Author:
  Steve Ebersole

Method Summary
`javax.persistence.metamodel.Attribute<?,?>` `getAttribute()` Retrieve reference to the attribute this path represents.

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier, prepareAlias`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getAttribute

    javax.persistence.metamodel.Attribute<?,?> getAttribute()

  Retrieve reference to the attribute this path represents.

  Returns:
    The metamodel attribute.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.